com.microfocus.awm.meta.util

## Class TaurusSwitch<T>

- java.lang.Object
- - com.microfocus.awm.meta.util.TaurusSwitch<T>

-     public class TaurusSwitch<T>
      extends java.lang.Object

  See Also:
    `TaurusPackage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusSwitch()` Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseActionDescriptor(ActionDescriptor object)` Returns the result of interpreting the object as an instance of 'Action Descriptor'.
    `T` | `caseApplicationOptions(ApplicationOptions object)` Returns the result of interpreting the object as an instance of 'Application Options'.
    `T` | `caseAWMIdentifiableObject(AWMIdentifiableObject object)` Returns the result of interpreting the object as an instance of 'AWM Identifiable Object'.
    `T` | `caseAWMObject(AWMObject object)` Returns the result of interpreting the object as an instance of 'AWM Object'.
    `T` | `caseCActionDescriptors(CActionDescriptors object)` Returns the result of interpreting the object as an instance of 'CAction Descriptors'.
    `T` | `caseCElementListStructures(CElementListStructures object)` Returns the result of interpreting the object as an instance of 'CElement List Structures'.
    `T` | `caseCElementTypes(CElementTypes object)` Returns the result of interpreting the object as an instance of 'CElement Types'.
    `T` | `caseCFileDescriptors(CFileDescriptors object)` Returns the result of interpreting the object as an instance of 'CFile Descriptors'.
    `T` | `caseCFilterTypes(CFilterTypes object)` Returns the result of interpreting the object as an instance of 'CFilter Types'.
    `T` | `caseCFunctionPackages(CFunctionPackages object)` Returns the result of interpreting the object as an instance of 'CFunction Packages'.
    `T` | `caseCGlobalActions(CGlobalActions object)` Returns the result of interpreting the object as an instance of 'CGlobal Actions'.
    `T` | `caseCIcons(CIcons object)` Returns the result of interpreting the object as an instance of 'CIcons'.
    `T` | `caseCIDDefinitions(CIDDefinitions object)` Returns the result of interpreting the object as an instance of 'CID Definitions'.
    `T` | `caseComplexAttribute(ComplexAttributeBase object)` Returns the result of interpreting the object as an instance of 'Complex Attribute'.
    `T` | `caseComplexAttributeBase(ComplexAttributeBase object)` Returns the result of interpreting the object as an instance of 'Complex Attribute Base'.
    `T` | `caseCProperties(CProperties object)` Returns the result of interpreting the object as an instance of 'CProperties'.
    `T` | `caseCToolCategory(CToolCategory object)` Returns the result of interpreting the object as an instance of 'CTool Category'.
    `T` | `caseCToolDescriptors(CToolDescriptors object)` Returns the result of interpreting the object as an instance of 'CTool Descriptors'.
    `T` | `caseDocumentRoot(DocumentRoot object)` Returns the result of interpreting the object as an instance of 'Document Root'.
    `T` | `caseDynamicModelExtensionObject(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'Dynamic Model Extension Object'.
    `T` | `caseDynamicObject(DynamicObject object)` Returns the result of interpreting the object as an instance of 'Dynamic Object'.
    `T` | `caseDynamicToolDescriptor(ToolDescriptor object)` Returns the result of interpreting the object as an instance of 'Dynamic Tool Descriptor'.
    `T` | `caseElementListStructure(ElementListStructure object)` Returns the result of interpreting the object as an instance of 'Element List Structure'.
    `T` | `caseElementType(ElementType object)` Returns the result of interpreting the object as an instance of 'Element Type'.
    `T` | `caseErrorView(ErrorView object)` Returns the result of interpreting the object as an instance of 'Error View'.
    `T` | `caseFileDescriptor(FileDescriptor object)` Returns the result of interpreting the object as an instance of 'File Descriptor'.
    `T` | `caseFilterType(FilterType object)` Returns the result of interpreting the object as an instance of 'Filter Type'.
    `T` | `caseFunctionPackage(FunctionPackage object)` Returns the result of interpreting the object as an instance of 'Function Package'.
    `T` | `caseFunctionPackageIcon(FunctionPackageIcon object)` Returns the result of interpreting the object as an instance of 'Function Package Icon'.
    `T` | `caseGenericSymbols(GenericSymbols object)` Returns the result of interpreting the object as an instance of 'Generic Symbols'.
    `T` | `caseGlobalAction(GlobalAction object)` Returns the result of interpreting the object as an instance of 'Global Action'.
    `T` | `caseIcon(Icon object)` Returns the result of interpreting the object as an instance of 'Icon'.
    `T` | `caseIDDefinition(IDDefinition object)` Returns the result of interpreting the object as an instance of 'ID Definition'.
    `T` | `caseIFunctionPackageDefinable(IFunctionPackageDefinable object)` Returns the result of interpreting the object as an instance of 'IFunction Package Definable'.
    `T` | `caseISAEditorAction(ISAEditorAction object)` Returns the result of interpreting the object as an instance of 'ISA Editor Action'.
    `T` | `caseISAISPFPanel(ISAISPFPanel object)` Returns the result of interpreting the object as an instance of 'ISAISPF Panel'.
    `T` | `caseISAISPFTool(ISAISPFTool object)` Returns the result of interpreting the object as an instance of 'ISAISPF Tool'.
    `T` | `caseISAPanelCommand(ISAPanelCommand object)` Returns the result of interpreting the object as an instance of 'ISA Panel Command'.
    `T` | `caseISAPlugIn(ISAPlugIn object)` Returns the result of interpreting the object as an instance of 'ISA Plug In'.
    `T` | `caseISAWorkbenchAction(ISAWorkbenchAction object)` Returns the result of interpreting the object as an instance of 'ISA Workbench Action'.
    `T` | `caseISelectionCondition(ISelectionCondition object)` Returns the result of interpreting the object as an instance of 'ISelection Condition'.
    `T` | `caseLinkedElementType(LinkedElementType object)` Returns the result of interpreting the object as an instance of 'Linked Element Type'.
    `T` | `caseLinkedProperty(LinkedProperty object)` Returns the result of interpreting the object as an instance of 'Linked Property'.
    `T` | `casePredefinedIcon(PredefinedIcon object)` Returns the result of interpreting the object as an instance of 'Predefined Icon'.
    `T` | `caseProperty(Property object)` Returns the result of interpreting the object as an instance of 'Property'.
    `T` | `caseRActionComplexCondition(RActionComplexCondition object)` Returns the result of interpreting the object as an instance of 'RAction Complex Condition'.
    `T` | `caseRActionParmOverride(RActionParmOverride object)` Returns the result of interpreting the object as an instance of 'RAction Parm Override'.
    `T` | `caseRActionSimpleCondition(RActionSimpleCondition object)` Returns the result of interpreting the object as an instance of 'RAction Simple Condition'.
    `T` | `caseRActionTool(RActionTool object)` Returns the result of interpreting the object as an instance of 'RAction Tool'.
    `T` | `caseRApplicationAction(RApplicationAction object)` Returns the result of interpreting the object as an instance of 'RApplication Action'.
    `T` | `caseRApplicationProperty(RApplicationProperty object)` Returns the result of interpreting the object as an instance of 'RApplication Property'.
    `T` | `caseRDecorationValue(RDecorationValue object)` Returns the result of interpreting the object as an instance of 'RDecoration Value'.
    `T` | `caseRElementAction(RElementAction object)` Returns the result of interpreting the object as an instance of 'RElement Action'.
    `T` | `caseRElementActionBase(RElementActionBase object)` Returns the result of interpreting the object as an instance of 'RElement Action Base'.
    `T` | `caseRElementFilter(RElementFilter object)` Returns the result of interpreting the object as an instance of 'RElement Filter'.
    `T` | `caseRElementGetChildrenAction(RElementGetChildrenAction object)` Returns the result of interpreting the object as an instance of 'RElement Get Children Action'.
    `T` | `caseRElementGetProperties(RElementGetProperties object)` Returns the result of interpreting the object as an instance of 'RElement Get Properties'.
    `T` | `caseRElementlistAction(RElementlistAction object)` Returns the result of interpreting the object as an instance of 'RElementlist Action'.
    `T` | `caseRElementlistColumn(RElementlistColumn object)` Returns the result of interpreting the object as an instance of 'RElementlist Column'.
    `T` | `caseRElementlistProperty(RElementlistProperty object)` Returns the result of interpreting the object as an instance of 'RElementlist Property'.
    `T` | `caseRElementProperty(RElementProperty object)` Returns the result of interpreting the object as an instance of 'RElement Property'.
    `T` | `caseRElementTextDecoration(RElementTextDecoration object)` Returns the result of interpreting the object as an instance of 'RElement Text Decoration'.
    `T` | `caseREnabledCondition(REnabledCondition object)` Returns the result of interpreting the object as an instance of 'REnabled Condition'.
    `T` | `caseREnabledConditionBase(REnabledConditionBase object)` Returns the result of interpreting the object as an instance of 'REnabled Condition Base'.
    `T` | `caseRErrorViewAction(RErrorViewAction object)` Returns the result of interpreting the object as an instance of 'RError View Action'.
    `T` | `caseRFileAction(RFileAction object)` Returns the result of interpreting the object as an instance of 'RFile Action'.
    `T` | `caseRFileAttribute(RFileAttribute object)` Returns the result of interpreting the object as an instance of 'RFile Attribute'.
    `T` | `caseRFileElement(RFileElement object)` Returns the result of interpreting the object as an instance of 'RFile Element'.
    `T` | `caseRFileProperty(RFileProperty object)` Returns the result of interpreting the object as an instance of 'RFile Property'.
    `T` | `caseRFilterAction(RFilterAction object)` Returns the result of interpreting the object as an instance of 'RFilter Action'.
    `T` | `caseRFilterFiltercriterion(RFilterFiltercriterion object)` Returns the result of interpreting the object as an instance of 'RFilter Filtercriterion'.
    `T` | `caseRIDProperty(RIDProperty object)` Returns the result of interpreting the object as an instance of 'RID Property'.
    `T` | `caseRISPFToolPanel(RISPFToolPanel object)` Returns the result of interpreting the object as an instance of 'RISPF Tool Panel'.
    `T` | `caseRPanelField(RPanelField object)` Returns the result of interpreting the object as an instance of 'RPanel Field'.
    `T` | `caseRSelectionEnabledCondition(RSelectionEnabledCondition object)` Returns the result of interpreting the object as an instance of 'RSelection Enabled Condition'.
    `T` | `caseRSelectionVisibleCondition(RSelectionVisibleCondition object)` Returns the result of interpreting the object as an instance of 'RSelection Visible Condition'.
    `T` | `caseRToolInParameter(RToolInParameter object)` Returns the result of interpreting the object as an instance of 'RTool In Parameter'.
    `T` | `caseRToolOutParameter(RToolOutParameter object)` Returns the result of interpreting the object as an instance of 'RTool Out Parameter'.
    `T` | `caseRToolParameter(RToolParameter object)` Returns the result of interpreting the object as an instance of 'RTool Parameter'.
    `T` | `caseRToolValidateAction(RToolValidateAction object)` Returns the result of interpreting the object as an instance of 'RTool Validate Action'.
    `T` | `caseRVisibleCondition(RVisibleCondition object)` Returns the result of interpreting the object as an instance of 'RVisible Condition'.
    `T` | `caseSelectionPropertyMapping(SelectionPropertyMapping object)` Returns the result of interpreting the object as an instance of 'Selection Property Mapping'.
    `T` | `caseSpecificAttribute(SpecificAttribute object)` Returns the result of interpreting the object as an instance of 'Specific Attribute'.
    `T` | `caseTAURUSConfiguration(TAURUSConfiguration object)` Returns the result of interpreting the object as an instance of 'TAURUS Configuration'.
    `T` | `caseToolDescriptor(ToolDescriptor object)` Returns the result of interpreting the object as an instance of 'Tool Descriptor'.
    `T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
    `T` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusSwitch

          public TaurusSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseActionDescriptor

          public T caseActionDescriptor(ActionDescriptor object)

      Returns the result of interpreting the object as an instance of 'Action Descriptor'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Action Descriptor'.
      See Also:
        `doSwitch(EObject)`

    - #### caseApplicationOptions

          public T caseApplicationOptions(ApplicationOptions object)

      Returns the result of interpreting the object as an instance of 'Application Options'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Application Options'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCActionDescriptors

          public T caseCActionDescriptors(CActionDescriptors object)

      Returns the result of interpreting the object as an instance of 'CAction Descriptors'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CAction Descriptors'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCElementListStructures

          public T caseCElementListStructures(CElementListStructures object)

      Returns the result of interpreting the object as an instance of 'CElement List Structures'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CElement List Structures'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCElementTypes

          public T caseCElementTypes(CElementTypes object)

      Returns the result of interpreting the object as an instance of 'CElement Types'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CElement Types'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCFileDescriptors

          public T caseCFileDescriptors(CFileDescriptors object)

      Returns the result of interpreting the object as an instance of 'CFile Descriptors'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CFile Descriptors'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCFilterTypes

          public T caseCFilterTypes(CFilterTypes object)

      Returns the result of interpreting the object as an instance of 'CFilter Types'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CFilter Types'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCFunctionPackages

          public T caseCFunctionPackages(CFunctionPackages object)

      Returns the result of interpreting the object as an instance of 'CFunction Packages'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CFunction Packages'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCGlobalActions

          public T caseCGlobalActions(CGlobalActions object)

      Returns the result of interpreting the object as an instance of 'CGlobal Actions'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CGlobal Actions'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCIcons

          public T caseCIcons(CIcons object)

      Returns the result of interpreting the object as an instance of 'CIcons'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CIcons'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCIDDefinitions

          public T caseCIDDefinitions(CIDDefinitions object)

      Returns the result of interpreting the object as an instance of 'CID Definitions'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CID Definitions'.
      See Also:
        `doSwitch(EObject)`

    - #### caseComplexAttribute

          public T caseComplexAttribute(ComplexAttributeBase object)

      Returns the result of interpreting the object as an instance of 'Complex Attribute'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Complex Attribute'.
      See Also:
        `doSwitch(EObject)`

    - #### caseComplexAttributeBase

          public T caseComplexAttributeBase(ComplexAttributeBase object)

      Returns the result of interpreting the object as an instance of 'Complex Attribute Base'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Complex Attribute Base'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCProperties

          public T caseCProperties(CProperties object)

      Returns the result of interpreting the object as an instance of 'CProperties'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CProperties'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCToolCategory

          public T caseCToolCategory(CToolCategory object)

      Returns the result of interpreting the object as an instance of 'CTool Category'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CTool Category'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCToolDescriptors

          public T caseCToolDescriptors(CToolDescriptors object)

      Returns the result of interpreting the object as an instance of 'CTool Descriptors'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CTool Descriptors'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDocumentRoot

          public T caseDocumentRoot(DocumentRoot object)

      Returns the result of interpreting the object as an instance of 'Document Root'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Document Root'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDynamicObject

          public T caseDynamicObject(DynamicObject object)

      Returns the result of interpreting the object as an instance of 'Dynamic Object'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Dynamic Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDynamicModelExtensionObject

          public T caseDynamicModelExtensionObject(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'Dynamic Model Extension Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Dynamic Model Extension Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDynamicToolDescriptor

          public T caseDynamicToolDescriptor(ToolDescriptor object)

      Returns the result of interpreting the object as an instance of 'Dynamic Tool Descriptor'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Dynamic Tool Descriptor'.
      See Also:
        `doSwitch(EObject)`

    - #### caseElementListStructure

          public T caseElementListStructure(ElementListStructure object)

      Returns the result of interpreting the object as an instance of 'Element List Structure'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Element List Structure'.
      See Also:
        `doSwitch(EObject)`

    - #### caseElementType

          public T caseElementType(ElementType object)

      Returns the result of interpreting the object as an instance of 'Element Type'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Element Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseErrorView

          public T caseErrorView(ErrorView object)

      Returns the result of interpreting the object as an instance of 'Error View'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Error View'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFileDescriptor

          public T caseFileDescriptor(FileDescriptor object)

      Returns the result of interpreting the object as an instance of 'File Descriptor'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'File Descriptor'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFilterType

          public T caseFilterType(FilterType object)

      Returns the result of interpreting the object as an instance of 'Filter Type'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Filter Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFunctionPackage

          public T caseFunctionPackage(FunctionPackage object)

      Returns the result of interpreting the object as an instance of 'Function Package'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Function Package'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFunctionPackageIcon

          public T caseFunctionPackageIcon(FunctionPackageIcon object)

      Returns the result of interpreting the object as an instance of 'Function Package Icon'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Function Package Icon'.
      See Also:
        `doSwitch(EObject)`

    - #### caseGenericSymbols

          public T caseGenericSymbols(GenericSymbols object)

      Returns the result of interpreting the object as an instance of 'Generic Symbols'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Generic Symbols'.
      See Also:
        `doSwitch(EObject)`

    - #### caseGlobalAction

          public T caseGlobalAction(GlobalAction object)

      Returns the result of interpreting the object as an instance of 'Global Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Global Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIcon

          public T caseIcon(Icon object)

      Returns the result of interpreting the object as an instance of 'Icon'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Icon'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIDDefinition

          public T caseIDDefinition(IDDefinition object)

      Returns the result of interpreting the object as an instance of 'ID Definition'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'ID Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseISAEditorAction

          public T caseISAEditorAction(ISAEditorAction object)

      Returns the result of interpreting the object as an instance of 'ISA Editor Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'ISA Editor Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseISAISPFPanel

          public T caseISAISPFPanel(ISAISPFPanel object)

      Returns the result of interpreting the object as an instance of 'ISAISPF Panel'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'ISAISPF Panel'.
      See Also:
        `doSwitch(EObject)`

    - #### caseISAISPFTool

          public T caseISAISPFTool(ISAISPFTool object)

      Returns the result of interpreting the object as an instance of 'ISAISPF Tool'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'ISAISPF Tool'.
      See Also:
        `doSwitch(EObject)`

    - #### caseISAPanelCommand

          public T caseISAPanelCommand(ISAPanelCommand object)

      Returns the result of interpreting the object as an instance of 'ISA Panel Command'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'ISA Panel Command'.
      See Also:
        `doSwitch(EObject)`

    - #### caseISAPlugIn

          public T caseISAPlugIn(ISAPlugIn object)

      Returns the result of interpreting the object as an instance of 'ISA Plug In'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'ISA Plug In'.
      See Also:
        `doSwitch(EObject)`

    - #### caseISAWorkbenchAction

          public T caseISAWorkbenchAction(ISAWorkbenchAction object)

      Returns the result of interpreting the object as an instance of 'ISA Workbench Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'ISA Workbench Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLinkedElementType

          public T caseLinkedElementType(LinkedElementType object)

      Returns the result of interpreting the object as an instance of 'Linked Element Type'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Linked Element Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLinkedProperty

          public T caseLinkedProperty(LinkedProperty object)

      Returns the result of interpreting the object as an instance of 'Linked Property'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Linked Property'.
      See Also:
        `doSwitch(EObject)`

    - #### casePredefinedIcon

          public T casePredefinedIcon(PredefinedIcon object)

      Returns the result of interpreting the object as an instance of 'Predefined Icon'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Predefined Icon'.
      See Also:
        `doSwitch(EObject)`

    - #### caseProperty

          public T caseProperty(Property object)

      Returns the result of interpreting the object as an instance of 'Property'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Property'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRActionComplexCondition

          public T caseRActionComplexCondition(RActionComplexCondition object)

      Returns the result of interpreting the object as an instance of 'RAction Complex Condition'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RAction Complex Condition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRActionParmOverride

          public T caseRActionParmOverride(RActionParmOverride object)

      Returns the result of interpreting the object as an instance of 'RAction Parm Override'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RAction Parm Override'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRActionSimpleCondition

          public T caseRActionSimpleCondition(RActionSimpleCondition object)

      Returns the result of interpreting the object as an instance of 'RAction Simple Condition'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RAction Simple Condition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRActionTool

          public T caseRActionTool(RActionTool object)

      Returns the result of interpreting the object as an instance of 'RAction Tool'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RAction Tool'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRApplicationAction

          public T caseRApplicationAction(RApplicationAction object)

      Returns the result of interpreting the object as an instance of 'RApplication Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RApplication Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementAction

          public T caseRElementAction(RElementAction object)

      Returns the result of interpreting the object as an instance of 'RElement Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElement Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementActionBase

          public T caseRElementActionBase(RElementActionBase object)

      Returns the result of interpreting the object as an instance of 'RElement Action Base'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElement Action Base'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementFilter

          public T caseRElementFilter(RElementFilter object)

      Returns the result of interpreting the object as an instance of 'RElement Filter'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElement Filter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementGetProperties

          public T caseRElementGetProperties(RElementGetProperties object)

      Returns the result of interpreting the object as an instance of 'RElement Get Properties'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElement Get Properties'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementGetChildrenAction

          public T caseRElementGetChildrenAction(RElementGetChildrenAction object)

      Returns the result of interpreting the object as an instance of 'RElement Get Children Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElement Get Children Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementlistAction

          public T caseRElementlistAction(RElementlistAction object)

      Returns the result of interpreting the object as an instance of 'RElementlist Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElementlist Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementlistColumn

          public T caseRElementlistColumn(RElementlistColumn object)

      Returns the result of interpreting the object as an instance of 'RElementlist Column'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElementlist Column'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRApplicationProperty

          public T caseRApplicationProperty(RApplicationProperty object)

      Returns the result of interpreting the object as an instance of 'RApplication Property'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RApplication Property'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementlistProperty

          public T caseRElementlistProperty(RElementlistProperty object)

      Returns the result of interpreting the object as an instance of 'RElementlist Property'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElementlist Property'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementProperty

          public T caseRElementProperty(RElementProperty object)

      Returns the result of interpreting the object as an instance of 'RElement Property'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElement Property'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRSelectionEnabledCondition

          public T caseRSelectionEnabledCondition(RSelectionEnabledCondition object)

      Returns the result of interpreting the object as an instance of 'RSelection Enabled Condition'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RSelection Enabled Condition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRSelectionVisibleCondition

          public T caseRSelectionVisibleCondition(RSelectionVisibleCondition object)

      Returns the result of interpreting the object as an instance of 'RSelection Visible Condition'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RSelection Visible Condition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseISelectionCondition

          public T caseISelectionCondition(ISelectionCondition object)

      Returns the result of interpreting the object as an instance of 'ISelection Condition'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'ISelection Condition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseREnabledCondition

          public T caseREnabledCondition(REnabledCondition object)

      Returns the result of interpreting the object as an instance of 'REnabled Condition'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'REnabled Condition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRVisibleCondition

          public T caseRVisibleCondition(RVisibleCondition object)

      Returns the result of interpreting the object as an instance of 'RVisible Condition'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RVisible Condition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseREnabledConditionBase

          public T caseREnabledConditionBase(REnabledConditionBase object)

      Returns the result of interpreting the object as an instance of 'REnabled Condition Base'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'REnabled Condition Base'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRElementTextDecoration

          public T caseRElementTextDecoration(RElementTextDecoration object)

      Returns the result of interpreting the object as an instance of 'RElement Text Decoration'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RElement Text Decoration'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRDecorationValue

          public T caseRDecorationValue(RDecorationValue object)

      Returns the result of interpreting the object as an instance of 'RDecoration Value'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RDecoration Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRErrorViewAction

          public T caseRErrorViewAction(RErrorViewAction object)

      Returns the result of interpreting the object as an instance of 'RError View Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RError View Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRFileAction

          public T caseRFileAction(RFileAction object)

      Returns the result of interpreting the object as an instance of 'RFile Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RFile Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRFileAttribute

          public T caseRFileAttribute(RFileAttribute object)

      Returns the result of interpreting the object as an instance of 'RFile Attribute'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RFile Attribute'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRFileElement

          public T caseRFileElement(RFileElement object)

      Returns the result of interpreting the object as an instance of 'RFile Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RFile Element'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRFileProperty

          public T caseRFileProperty(RFileProperty object)

      Returns the result of interpreting the object as an instance of 'RFile Property'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RFile Property'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRFilterAction

          public T caseRFilterAction(RFilterAction object)

      Returns the result of interpreting the object as an instance of 'RFilter Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RFilter Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRFilterFiltercriterion

          public T caseRFilterFiltercriterion(RFilterFiltercriterion object)

      Returns the result of interpreting the object as an instance of 'RFilter Filtercriterion'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RFilter Filtercriterion'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRIDProperty

          public T caseRIDProperty(RIDProperty object)

      Returns the result of interpreting the object as an instance of 'RID Property'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RID Property'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRISPFToolPanel

          public T caseRISPFToolPanel(RISPFToolPanel object)

      Returns the result of interpreting the object as an instance of 'RISPF Tool Panel'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RISPF Tool Panel'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRPanelField

          public T caseRPanelField(RPanelField object)

      Returns the result of interpreting the object as an instance of 'RPanel Field'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RPanel Field'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRToolInParameter

          public T caseRToolInParameter(RToolInParameter object)

      Returns the result of interpreting the object as an instance of 'RTool In Parameter'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RTool In Parameter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRToolOutParameter

          public T caseRToolOutParameter(RToolOutParameter object)

      Returns the result of interpreting the object as an instance of 'RTool Out Parameter'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RTool Out Parameter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRToolParameter

          public T caseRToolParameter(RToolParameter object)

      Returns the result of interpreting the object as an instance of 'RTool Parameter'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RTool Parameter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRToolValidateAction

          public T caseRToolValidateAction(RToolValidateAction object)

      Returns the result of interpreting the object as an instance of 'RTool Validate Action'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'RTool Validate Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSelectionPropertyMapping

          public T caseSelectionPropertyMapping(SelectionPropertyMapping object)

      Returns the result of interpreting the object as an instance of 'Selection Property Mapping'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Selection Property Mapping'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSpecificAttribute

          public T caseSpecificAttribute(SpecificAttribute object)

      Returns the result of interpreting the object as an instance of 'Specific Attribute'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Specific Attribute'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTAURUSConfiguration

          public T caseTAURUSConfiguration(TAURUSConfiguration object)

      Returns the result of interpreting the object as an instance of 'TAURUS Configuration'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'TAURUS Configuration'.
      See Also:
        `doSwitch(EObject)`

    - #### caseToolDescriptor

          public T caseToolDescriptor(ToolDescriptor object)

      Returns the result of interpreting the object as an instance of 'Tool Descriptor'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Tool Descriptor'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAWMObject

          public T caseAWMObject(AWMObject object)

      Returns the result of interpreting the object as an instance of 'AWM Object'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'AWM Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAWMIdentifiableObject

          public T caseAWMIdentifiableObject(AWMIdentifiableObject object)

      Returns the result of interpreting the object as an instance of 'AWM Identifiable Object'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'AWM Identifiable Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIFunctionPackageDefinable

          public T caseIFunctionPackageDefinable(IFunctionPackageDefinable object)

      Returns the result of interpreting the object as an instance of 'IFunction Package Definable'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'IFunction Package Definable'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public T defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.